githubEdit

Reservations endpoints

Get reservation

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
reservationIdstringRequired
Responses
chevron-right
200

Reservation details

application/json

Reservation

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

facilityRefstringRequired
idstringRequired
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
quantitynumberRequired
tenantArticleIdstringRequired
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
get
/api/reservations/{reservationId}

List reservations (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for Reservation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReservationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

ReservationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/reservations/search

Call reservations action

post

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. REMOVE_RESERVATIONS_KEEP_STOCKS: Removes reservations without modifying stock levels.

  REMOVE_RESERVATIONS_AND_REDUCE_STOCKS:  Removes reservations and reduces stock levels accordingly.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ReservationAction

namestring · enumRequired

Which action to perform

Possible values:
Responses
chevron-right
200

List of reservation removal results with stock operations

application/json

ReservationActionResult

statusstring · enumRequiredPossible values:
post
/api/reservations/actions

List reservations

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · min: 1 · max: 100OptionalDefault: 25
afterstringOptional

The cursor to start after. The value is provided in the pageInfo.endCursor field of the response.

Responses
chevron-right
200

Reservation details

application/json

ReservationsPaginatedResult

totalnumberRequired
get
/api/reservations

Last updated